<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Programamos Objetos</title>
</head>

<body>
    <h1>Programamos Objetos</h1>

    <script>
        do {

            console.log('Ciclo');

        } while (window.confirm("Agregar otro perro?"))

        class Persona {
            constructor(nombre, apellido, edad) {
                this.nombre = nombre;
                this.apellido = apellido;
                this.edad = edad;
            }
            fullName() {
                return this.nombre + " " + this.apellido;
            }
            es_mayor() {
                return this.edad > 18;
            }
            getNombre() {
                return this.nombre;
            }
            setNombre(nombre) {
                this.nombre = nombre;
            }
        }

        const facundo = new Persona('Facundo', 'Orlando', 15);
        facundo.setNombre(prompt('DIga el nombre'));

        console.log(facundo);
        console.log(facundo.fullName(), facundo.es_mayor());
    </script>
</body>

</html>